SYSTEMD-STORAGETM.SERVICE(8)

BEZEICHNUNG
systemd-storagetm.service, systemd-storagetm - Alle lokalen Blockgeräte als NVMe-TCP-Massenspeichergeräte offenlegen

ÜBERSICHT

systemd-storagetm.service

/usr/lib/systemd/systemd-storagetm [OPTIONEN…] [GERÄT]

BESCHREIBUNG

systemd-storagetm.service ist ein Dienst, der alle lokalen Blockgeräte als NVMe-TCP-Massenspeichergeräte offenlegt. Sein Hauptanwendungsfall ist der Aufruf in der Unit storage-target-mode.target, in die der Systemstart hinein erfolgen kann.

    Warnung

    Die NVMe-Platten werden derzeit im Lese-/Schreibmodus ohne Authentifizierung oder Verschlüsselung offengelegt. Das bedeutet, dass Geräte im Netzwerk ohne Einschränkungen davon lesen und darauf schreiben können. Diese Funktionalität sollte daher nur in einer lokalen Installation verwandt werden.

Beachten Sie, dass für eine korrekte Funktion auch das Netzwerk konfiguriert sein muss. Der empfohlene Mechanismus, um einen Systemstart in einen Speicherzielmodus durchzuführen, ist das Hinzufügen von »rd.systemd.unit=storage-target-mode.target ip=link-local« auf der Kernelbefehlszeile. Beachten Sie, dass »ip=link-local« nur linklokale IP konfiguriert, d.h. IPv4LL und IPv6LL, das bedeutet nichtweiterleitbare Adressen. Dies erfolgt aus Sicherheitsgründen, so dass nur Systeme auf dem lokalen Link auf die Geräte zugreifen können. Verwenden Sie »ip=dhcp«, um auch weiterleitbare Adressen zuzuweisen. Weitere Details finden Sie in systemd-network-generator.service(8).

Erwartet einen oder mehrere Blockgeräte oder reguläre Dateien als Argument, die als NVMe-TCP offengelegt werden sollen, außer der Schalter --all wird verwandt.

OPTIONEN

Die folgenden Optionen werden verstanden:

--nqn=
    Akzeptiert eine Zeichenkette. Falls angegeben, wird der zu verwendende qualifizierte NVME-Name (NQN) für die offengelegten NVMe-TCP-Massenspeichergeräte konfiguriert. Der NQN sollte der in der NVM Express-Basisspezifikation 2.0c[1], Abschnitt 4.5 "Qualifizierte NVMe Namen" beschriebenen Syntax folgen. Beachten Sie, dass dem hier festgelegten NQN ein Punkt und die Blockgerätenummer angehängt wird, bevor er auf dem NVME-Ziel offengelegt wird. Falls nicht angegeben ist die Vorgabe »nqn.2023-10.io.systemd:storagetm.ID«, wobei ID durch eine von der machine-id(5) abgeleitete 128-bit-Kennung ersetzt wird.

    Hinzugefügt in Version 255.

--all, -a
    Falls angegeben, werden alle lokalen aktuellen und zukünftigen Blockgeräte mittels NVMe-TCP offengelegt (d.h. es wird das Kommen und Gehen der Blockgeräte beobachtet und die NVMe-TCP-Liste nach Bedarf aktualisiert). Beachten Sie, dass standardmäßig sämtliche Blockgeräte, die vom gleichen Blockgerät stammen, wie das Blockgerät, das dem aktuellen Wurzeldateisystem zugrunde liegt, ausgeschlossen werden. Falls dieser Schalter zweimal angegeben ist, wird dieser Sicherheitsmechanismus deaktiviert.

    Hinzugefügt in Version 255.

--list-devices
    Zeigt eine Liste von Kandidaten-Blockgeräten, auf denen dieser Befehl agieren könnte. Dies zählt insbesondere die derzeit vorhandenen Blockgeräte auf und zeigt ihren Geräteknotenpfad zusammen mit allen ihren Symlinks.

    Hinzugefügt in Version 257.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

SIEHE AUCH

systemd(1), systemd.special(7)

ANMERKUNGEN

1.  NVM Express-Basisspezifikation 2.0c
    https://nvmexpress.org/wp-content/uploads/NVM-Express-Base-Specification-2.0c-2022.10.04-Ratified.pdf

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.